Subject: Re: bug#13863: 24.2; Cursor position after after-string on overlay at point-max
From: Eli Zaretskii <[email-masked]>
To: Magnar Sveen <[email-masked]>
Cc: [email-masked]
Date: Mon, 04 Mar 2013 22:19:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Magnar Sveen <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 04 Mar 2013 20:31:30 +0100
> 
> > IOW, when Emacs is too dumb to put the cursor where you want, you can
> > guide it with the 'cursor' text property.
> 
> Thanks Eli, this solved my problem.
> 
> > Emacs always behaved like that with after-string display.
> 
> Normally I'd say that something always having been like that, is not a
> good argument against fixing unintuitive and buggy behavior. However, in
> the case of Emacs and its exceedingly large code base and dependents, I
> see greater value in backwards compatibility.

I meant that after-string display was explicitly coded this way since
day one.  IOW, it's not a regression.

I will close the bug, then.